mixed-port: 7890
allow-lan: false
mode: rule
log-level: info
external-controller: 127.0.0.1:9090
secret: ""
dns:
  enabled: true
  listen: 0.0.0.0:53
  enhanced-mode: fake-ip
  nameserver:
    - 223.5.5.5
    - 8.8.8.8
  fallback:
    - https://dns.google/dns-query
    - https://cloudflare-dns.com/dns-query
proxies:
  - name: "HY2_[2001:bc8:32d7:158::9]_33356"
    type: "hysteria2"
    server: "[2001:bc8:32d7:158::9]"
    port: 33356
    password: "dongtaiwang.com"
    sni: "apple.com"
    skip-cert-verify: true
  - name: "HY2_51.158.194.63_32952"
    type: "hysteria2"
    server: "51.158.194.63"
    port: 32952
    password: "dongtaiwang.com"
    sni: "www.microsoft.com"
    skip-cert-verify: true
  - name: "HY2_[2604:6600::5cb]_22222"
    type: "hysteria2"
    server: "[2604:6600::5cb]"
    port: 22222
    password: "dongtaiwang.com"
    sni: "www.bing.com"
    skip-cert-verify: true
  - name: "HY_62.210.127.177_23880"
    type: "hysteria"
    server: "62.210.127.177"
    port: 23880
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "bing.com"
    insecure: true
  - name: "HY_[2604:6600::5cb]_15823"
    type: "hysteria"
    server: "[2604:6600::5cb]"
    port: 15823
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "HY_62.210.10.186_40099"
    type: "hysteria"
    server: "62.210.10.186"
    port: 40099
    auth_str: "dongtaiwang.com"
    alpn:
      - "h3"
    protocol: "udp"
    up: "11 Mbps"
    down: "55 Mbps"
    sni: "apple.com"
    insecure: true
  - name: "VLESS_5.83.129.248_23567"
    type: "vless"
    server: "5.83.129.248"
    port: 23567
    uuid: "523da2a8-fad1-4c56-97f6-61d6efa22e12"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "Yys8umOJa_XoD5k4RTDnRAjl-QbTbOemhHSRCSFQEmE"
      short-id: "4293cb617260c123"
      spider-x: "/"
    servername: "www.sky.com"
  - name: "VLESS_2001:bc8:32d7:158::6_10033"
    type: "vless"
    server: "2001:bc8:32d7:158::6"
    port: 10033
    uuid: "56618bde-5a09-4ef8-ae56-6e7a8d69ec67"
    network: "grpc"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "m1ORavmKKsF8kn6JfNF1m35wRORu8c6YLyxpSfyiYQ0"
      short-id: "dfdfb0e2e2d400c4"
      spider-x: "/"
    servername: "nijigen-works.jp"
    grpc-opts:
      grpc-service-name: "FhwHiFzK"
  - name: "VLESS_fan3.394615.xyz_34500"
    type: "vless"
    server: "fan3.394615.xyz"
    port: 34500
    uuid: "8b66e552-e89d-4c4f-bb5a-e3d37bf151b8"
    network: "xhttp"
    tls: true
    udp: true
    client-fingerprint: "chrome"
    realityOpts:
      public-key: "Yg6kOijRv1IbFcwhY0WmwJ8KW7YTtux4QlQhekEzNEQ"
      short-id: "3a1381d1b2cc9e19"
      spider-x: "/"
    servername: "www.lovelive-anime.jp"
  - name: "HY2_5.83.129.248_55668"
    type: "hysteria2"
    server: "5.83.129.248"
    port: 55668
    password: "dongtaiwang.com"
    sni: "apple.com"
    skip-cert-verify: true
  - name: "JUICITY_5.83.129.248_55668"
    type: "juicity"
    server: "5.83.129.248"
    port: 55668
    uuid: "abbf6900-2bfb-4019-89e4-4875e831cea8"
    password: "dongtaiwang.com"
    sni: "apple.com"
    congestion_control: "bbr"
    udp_relay_mode: "native"
    send_queue_size: 1024
    recv_queue_size: 1024
    heartbeat: "10s"
    timeout: "30s"
  - name: "HY2_[2001:bc8:1203:106::6]_60099"
    type: "hysteria2"
    server: "[2001:bc8:1203:106::6]"
    port: 60099
    password: "dongtaiwang.com"
    sni: "apple.com"
    skip-cert-verify: true
  - name: "JUICITY_[2001:bc8:1203:106::6]_60099"
    type: "juicity"
    server: "[2001:bc8:1203:106::6]"
    port: 60099
    uuid: "dfb153b3-a766-42df-abd3-0d40894f061f"
    password: "dongtaiwang.com"
    sni: "apple.com"
    congestion_control: "bbr"
    udp_relay_mode: "native"
    send_queue_size: 1024
    recv_queue_size: 1024
    heartbeat: "10s"
    timeout: "30s"

proxy-groups:
  - name: "🚀 自动选择"
    type: url-test
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    tolerance: 50
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12"]

  - name: "♻️ 故障转移"
    type: fallback
    url: "http://www.gstatic.com/generate_204"
    interval: 300
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12"]

  - name: "🌍 手动切换"
    type: select
    proxies: ["proxy0","proxy1","proxy2","proxy3","proxy4","proxy5","proxy6","proxy7","proxy8","proxy9","proxy10","proxy11","proxy12"]

rules:
  - GEOIP,LAN,DIRECT
  - GEOIP,CN,DIRECT
  - MATCH,"🌍 手动切换"
